
---
- name: install coderunner
  package: name={{item}} state=latest
  with_items:
    - apache2 
    - php 
    - libapache2-mod-php 
    - php-cli
    - php-mbstring 
    - octave 
    - nodejs 
    - git 
    - python3 
    - build-essential 
    - openjdk-11-jre
    - openjdk-11-jdk
    - python3-pip
    - fp-compiler
    - pylint3
    - acl
    - sudo
    - sqlite3
  tags:
    - packages
  become: yes

- name: configure pylint
  shell: pylint3 --reports=no  --generate-rcfile > /etc/pylintrc
  args:
    creates: /etc/pylintrc
  become: yes

- name: jobe server git repo
  git:
    repo: "https://github.com/trampgeek/jobe.git"
    bare: no
    dest: "/var/www/html/jobe"
    clone: yes
    update: yes
  become: yes

- name: generate locale
  locale_gen:
    name: "en_US.UTF-8"
    state: present

- name: set system locale
  shell: update-locale LANG=en_US.UTF-8
  when: ansible_env['LANG'] != "en_US.UTF-8"

- name: set apache locale
  lineinfile:
    path: "/etc/apache2/envvars"
    regexp: '^#. /etc/default/locale'
    line: '. /etc/default/locale'
  notify: restart apache2
  tags:
    - fileedit
